<?php
/*
=====================================================
 DLEFA AqayePardakht Pay Ver 1.0
-----------------------------------------------------
 Persian support site: https://dlefa.ir
-----------------------------------------------------
 FileName :  block.php
-----------------------------------------------------
 Copyright (c) 2021, All rights reserved.
=====================================================
*/

if( !defined('DATALIFEENGINE') ) {
	header( "HTTP/1.1 403 Forbidden" );
	header ( 'Location: ../../' );
	die( "Hacking attempt!" );
}

$error = array(
	-1 => "amount نمی تواند خالی باشد",
	-2 => "کد پین درگاه نمی تواند خالی باشد",
	-3 => "callback نمی تواند خالی باشد",
	-4 => "amount باید عددی باشد",
	-5 => "amount باید بزرگتر از ۱۰۰ باشد",
	-6 => "کد پین درگاه اشتباه هست",
	-7 => "ایپی سرور با ایپی درگاه مطابقت ندارد",
	-8 => "transid نمی تواند خالی باشد",
	-9 => "تراکنش مورد نظر وجود ندارد",
	-10 => "کد پین درگاه با درگاه تراکنش مطابقت ندارد",
	-11 => "مبلغ با مبلغ تراکنش مطابقت ندارد",
	-12 => "بانک وارد شده اشتباه میباشد",
	-13 => "درگاه غیر فعال است",
	-14 => "درگاه برروی سایت دیگری درحال استفاده است"
);

function Request($pin, $amount, $callback, $mobile, $invoice_id, $descr) {
	global $error;

	$data = [
		'pin' 			=> $pin,
		'amount' 		=> $amount,
		'callback' 		=> $callback,
		//'card_number'	=> '1111222233334444',
		'mobile' 		=> $mobile,
		'invoice_id' 	=> $invoice_id,
		'description' 	=> $descr
	];
	
	$data = json_encode($data);
	$ch = curl_init('https://panel.aqayepardakht.ir/api/create');
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($ch, CURLINFO_HEADER_OUT, true);
	curl_setopt($ch, CURLOPT_POST, true);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
	
	curl_setopt($ch, CURLOPT_HTTPHEADER, array(
			'Content-Type: application/json',
			'Content-Length: ' . strlen($data))
	);
	$result = curl_exec($ch);
	curl_close($ch);
	if ($result && !is_numeric($result)) {
		return array(
			'status' 		=> true,
			'transactionId'	=> $result,
			'url'	 		=> 'https://panel.aqayepardakht.ir/startpay/' . $result
		);
	} else {
		return array(
			'status' => false,
			'msg'    => $error[$result]
		);
	}
}

function Verify( $pin, $amount, $transid) {
  
	$data = [
		'pin'		=> $pin,
		'amount'	=> $amount,
		'transid'	=> $transid
	];

	$data = json_encode($data);
	$ch = curl_init('https://panel.aqayepardakht.ir/api/verify');
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($ch, CURLINFO_HEADER_OUT, true);
	curl_setopt($ch, CURLOPT_POST, true);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
	curl_setopt($ch, CURLOPT_HTTPHEADER, array(
			'Content-Type: application/json',
			'Content-Length: ' . strlen($data))
	);
	$result = curl_exec($ch);
	curl_close($ch);
	if ($result === "1") {
		return array(
			'status' 			=> true,
			'msg'				=> "پرداخت با موفقیت انجام شد."
		);
	} elseif ($result === "0") {
		return array(
			'status' => false,
			'msg'	 => 'تراکنش پرداخت نشده است!'
		);
	}
}
?>